Bug 54439 - incorrect path for /etc/sudoers
incorrect path for /etc/sudoers
Status: CLOSED NOTABUG
Product: Red Hat Raw Hide
Classification: Retired
Component: sudo (Show other bugs)
1.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bernhard Rosenkraenzer
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-08 09:51 EDT by Alec Voropay
Modified: 2007-04-18 12:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-10-08 09:51:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alec Voropay 2001-10-08 09:51:47 EDT
Description of Problem:
The --sysconfdir=/etc  parameter is missed in "sudo.spec"
...
%build
%configure
...

However   sysconfig=/usr/etc/   by defaul,
so "sudoers" will be in wrong place.

Version-Release number of selected component (if applicable):
sudo-1.6.3p7-2.src.rpm

How Reproducible:
try to rebuild

Steps to Reproduce:
1. rpm -ba sudo.spec
2. 
3. 

Actual Results:
...
+ make
gcc -c -I. -I.  -O2 -m486 -fno-strength-reduce -D_PATH_SUDOERS=
\"/usr/etc/sudoers\" -D_PATH_SUDOERS_TMP=\"/usr/etc/sudoers.tmp\" -
DSUDOERS_UID=0 -DSUDOERS_GID=0 -DSUDOERS_MODE=0440  check.c
...
Processing files: sudo-1.6.3p7-2
File not found: /var/tmp/sudo-root/etc/sudoers
...

Expected Results:
"sudoers" file should be in
/etc/sudoers

Additional Information:
Change sudo.spec :

%build
%configure \
        --sysconfdir=/etc \

	
mkdir $RPM_BUILD_ROOT
%{makeinstall} install_uid=`id -u` install_gid=`id -g` sudoers_uid=`id -u` 
sudoers_gid=`id -g` sysconfdir=$RPM_BUILD_ROOT/etc
Comment 1 Bernhard Rosenkraenzer 2001-10-23 10:06:56 EDT
Your rpm configuration is broken.
%configure is supposed to set sysconfdir properly (and most definitely does 
here).


Note You need to log in before you can comment on or make changes to this bug.